#
# RPM spec file for "sloccount".
#
%define PKG_VERSION 1.6

Name: sloccount
Summary: Measures source lines of code (SLOC) in programs
Version: %{PKG_VERSION}
Release: 1
Copyright: GPL
Group: Development/Tools
Source: http://www.dwheeler.com/sloccount/sloccount-%{PKG_VERSION}.tar.gz
URL: http://www.dwheeler.com/sloccount
Vendor: David A. Wheeler
Packager: David A. Wheeler <dwheeler@dwheeler.com>
Prefix: /usr/local

%description
SLOCCount (pronounced "sloc-count") is a suite of programs for counting
physical source lines of code (SLOC) in potentially large software systems
(thus, SLOCCount is a "software metrics tool" or "software measurement tool").
SLOCCount can count physical SLOC for a wide number of languages;
listed alphabetically, they are: Ada, Assembly, awk, Bourne shell, C, C++,
C shell, Expect, Fortran, Java, lex/flex, LISP (including Scheme),
Objective-C, Pascal, Perl, Python, sed, TCL, and Yacc.
SLOCCount can automatically determine if a file
is a source code file or not, and if so, which language it's written in.
As a result, you can analyze large systems completely automatically.
SLOCCount also includes some report-generating tools
to collect the data generated and present it in several different formats.
Normally you can just run "sloccount DIRECTORY" and all the source code
in the directory will be counted.

%prep
%setup

%build
make

%install
make install_programs
make install_man

%files
%doc sloccount.html
%doc README
%doc ChangeLog
%doc COPYING
/usr/local/bin/ada_count
/usr/local/bin/asm_count
/usr/local/bin/awk_count
/usr/local/bin/break_filelist
/usr/local/bin/c_count
/usr/local/bin/compute_filecount
/usr/local/bin/compute_sloc
/usr/local/bin/compute_sloc_lang
/usr/local/bin/count_extensions
/usr/local/bin/count_unknown_ext
/usr/local/bin/csh_count
/usr/local/bin/exp_count
/usr/local/bin/fortran_count
/usr/local/bin/generic_count
/usr/local/bin/get_sloc
/usr/local/bin/get_sloc_details
/usr/local/bin/java_count
/usr/local/bin/lex_count
/usr/local/bin/lexcount1
/usr/local/bin/lisp_count
/usr/local/bin/make_filelists
/usr/local/bin/objc_count
/usr/local/bin/pascal_count
/usr/local/bin/perl_count
/usr/local/bin/print_sum
/usr/local/bin/python_count
/usr/local/bin/sed_count
/usr/local/bin/sh_count
/usr/local/bin/show_filecount
/usr/local/bin/sloccount
/usr/local/bin/tcl_count
/usr/local/share/man/man1/sloccount.1.gz
